# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           droolsjbpm-knowledge
Version:        5.2.0
Release:        2%{?dist}
Epoch:          0
Summary:        Drools and jBPM common API
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://www.jboss.org/drools
# git clone git://github.com/droolsjbpm/droolsjbpm-knowledge.git
# git archive --prefix="droolsjbpm-knowledge-5.2.0.Final/" --format=tar 5.2.0.Final | bzip2 > ../../SOURCES/droolsjbpm-knowledge-5.2.0.Final.tar.bz2

Source0:        droolsjbpm-knowledge-5.2.0.Final.tar.bz2
Source1:        droolsjbpm-knowledge-settings.xml
Source2:        droolsjbpm-knowledge-jpp-depmap.xml
Source3:        http://repo1.maven.org/maven2/org/drools/droolsjbpm-parent/5.2.0.Final/droolsjbpm-parent-5.2.0.Final.pom

#Patch0:         rjc-pom.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:  ant >= 0:1.7.1
Requires:  java >= 0:1.6.0
Requires:       jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-jdocbook-plugin
BuildRequires:  jackrabbit-parent
BuildRequires:  jaxb_2_1_api
BuildRequires:  sun-jaxb-2.1-impl
BuildRequires:  quartz
BuildRequires:  xstream
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Drools and jBPM common API.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}.Final
cp -p %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml
#%patch0 -b .sav0

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
mkdir -p ${MAVEN_REPO_LOCAL}/org/drools/droolsjbpm-parent/5.2.0.Final/
ln -s %{SOURCE3} ${MAVEN_REPO_LOCAL}/org/drools/droolsjbpm-parent/5.2.0.Final/droolsjbpm-parent-5.2.0.Final.pom

export MAVEN_SETTINGS=$(pwd)/settings.xml
%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.test.failure.ignore=true \
        install javadoc:aggregate

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 knowledge-api/target/knowledge-api-%{version}.Final.jar %{buildroot}%{_javadir}/%{name}-api-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -s ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -m 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.drools %{name} %{version} JPP %{name}
install -m 644 knowledge-api/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-api.pom
%add_to_maven_depmap org.drools knowledge-api %{version} JPP %{name}-api

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Wed Feb 06 2013 Ralph Apel <r.apel@r-apel.de> 5.2.0-2
- Prevent xzpayload problem

* Thu Jan 31 2013 Ralph Apel <r.apel@r-apel.de> 5.2.0-1
- 5.2.0 is first release

